{ ... }: {
  xdg.configFile."nvim/lua/keymaps.lua".text = ''
    vim.g.mapleader = " " 
    vim.g.maplocalleader = " " 

    local keymap = vim.keymap.set 
    keymap('n', '<leader>ps', ':Lazy<CR>') 
    keymap('n', '<leader>o', ':update<CR> :source<CR>') 
    keymap('n', '<leader>w', ':write<CR>') 
    keymap('n', '<leader>q', ':quit<CR>') 
    keymap('n', '<leader>QQ', ':q!<CR>') 
    keymap('n', '<leader>wq', ':wq<CR>') 
    keymap('n', '<leader>r', ':set wrap!<CR>') 
    keymap('n', '<leader>vs', ':vsplit<CR>') 
    keymap('n', '<leader>hs', ':split<CR>') 
    keymap('n', '<Tab>', ':bnext<CR>') 
    keymap('n', '<leader>e', ':Oil --float<CR>') 
    keymap('n', '<leader>b', ':Telescope buffers<CR>') 
    keymap('n', '<leader>ff', ':Telescope find_files<CR>') 
    keymap('n', '<leader>fg', ':Telescope live_grep<CR>') 
    keymap('n', '<leader>n', ':set nonumber norelativenumber<CR>')
  '';
}
